Assigns a list of users to task templates.

POSThttps://api.awork.com/api/v1/taskbundles/{taskBundleId}/tasktemplates/{taskTemplateId}/setassignees
POST https://api.awork.com/api/v1/taskbundles/{taskBundleId}/tasktemplates/{taskTemplateId}/setassignees

Assigns a list of users to task templates. Users that are not passed and are already assigned will be removed. Removes existing task template assignments and adds the new assignment.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskTemplateIdstringRequired
format: uuid

The id of the task template.

Request body Required

The id of the users.

application/json

array of string

Responses

204 No Content
404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation